# Uses of Class
org.apache.commons.math3.stat.descriptive.DescriptiveStatistics

Packages that use DescriptiveStatistics
Package
Description
org.apache.commons.math3.stat.descriptive
Generic univariate summary statistic objects.

## Uses of DescriptiveStatistics in org.apache.commons.math3.stat.descriptive

Subclasses of DescriptiveStatistics in org.apache.commons.math3.stat.descriptive
Modifier and Type
Class
Description
`class`
`SynchronizedDescriptiveStatistics`
Implementation of `DescriptiveStatistics` that is safe to use in a multithreaded environment.
Methods in org.apache.commons.math3.stat.descriptive that return DescriptiveStatistics
Modifier and Type
Method
Description
`DescriptiveStatistics`
DescriptiveStatistics.`copy()`
Returns a copy of this DescriptiveStatistics instance with the same internal state.
Methods in org.apache.commons.math3.stat.descriptive with parameters of type DescriptiveStatistics
Modifier and Type
Method
Description
`static void`
DescriptiveStatistics.`copy(DescriptiveStatistics source, DescriptiveStatistics dest)`
Copies source to dest.
Constructors in org.apache.commons.math3.stat.descriptive with parameters of type DescriptiveStatistics
Modifier
Constructor
Description
``
`DescriptiveStatistics(DescriptiveStatistics original)`
Copy constructor.